<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Cancel_Requisition_ResponseType StructType
 * Meta information extracted from the WSDL
 * - documentation: Cancel Requisition Response
 * @subpackage Structs
 */
class Cancel_Requisition_ResponseType extends AbstractStructBase
{
    /**
     * The Requisition_Reference
     * Meta information extracted from the WSDL
     * - documentation: Reference to Canceled Requisition.
     * - minOccurs: 0
     * @var \StructType\RequisitionObjectType
     */
    public $Requisition_Reference;
    /**
     * The version
     * Meta information extracted from the WSDL
     * - ref: wd:version
     * @var string
     */
    public $version;
    /**
     * Constructor method for Cancel_Requisition_ResponseType
     * @uses Cancel_Requisition_ResponseType::setRequisition_Reference()
     * @uses Cancel_Requisition_ResponseType::setVersion()
     * @param \StructType\RequisitionObjectType $requisition_Reference
     * @param string $version
     */
    public function __construct(\StructType\RequisitionObjectType $requisition_Reference = null, $version = null)
    {
        $this
            ->setRequisition_Reference($requisition_Reference)
            ->setVersion($version);
    }
    /**
     * Get Requisition_Reference value
     * @return \StructType\RequisitionObjectType|null
     */
    public function getRequisition_Reference()
    {
        return $this->Requisition_Reference;
    }
    /**
     * Set Requisition_Reference value
     * @param \StructType\RequisitionObjectType $requisition_Reference
     * @return \StructType\Cancel_Requisition_ResponseType
     */
    public function setRequisition_Reference(\StructType\RequisitionObjectType $requisition_Reference = null)
    {
        $this->Requisition_Reference = $requisition_Reference;
        return $this;
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \StructType\Cancel_Requisition_ResponseType
     */
    public function setVersion($version = null)
    {
        // validation for constraint: string
        if (!is_null($version) && !is_string($version)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($version, true), gettype($version)), __LINE__);
        }
        $this->version = $version;
        return $this;
    }
}
